package org.firstinspires.ftc.teamcode.configs;

import com.acmerobotics.dashboard.config.Config;

@Config
public class RobotConstants {
    public final static double clawClose = 0.95;
    public final static double clawOpen = 0.05;

    public final static double armFloor = 0.7;
    public final static double armSubmarine = 0.55;
    public final static double armReverseBucket = 0.08;
    public final static double armPark = 0.33;
    //value for grabbing the hook Specimen
    public final static double grabBlueberry = 0.35;
    public final static double armGrabBlueberrySkyhook = 0.1;
    public final static double wristGrabBlueberrySkyhook = 0.15;
    public final static double armHangBlueberrySkyhook = 0.23;
    public final static double wristHangBlueberrySkyhook = 0.7;
    public final static int slideHangBlueberrySkyhook = 500;
    public final static int slideBelowFloor = -150;
    public final static int backwardBucketDrop = 4670;
    public final static double armBucket = 0.45;
    public final static double armInit = 0.13;
    public final static double wristInit = 0.125;
    public final static double wristPickup = 0.475;
    public final static double wristBucket = 0.56;
    public final static double wristFloor = 0.75;
    public final static double wristBackwardBucket = 0.725;

    public final static double wristRung = 0.55;

    public final static double wristSpeciemen = 0.1;

    public final static int toBar = 500;
    public final static double wristtravel = 0.525;

    public final static int toFloor = 0;
    public final static int liftToFloorPos = 350;
    public final static int liftToSubmarinePos = 350;
    public final static int liftToLowBucketPos = 1750;
    public final static int liftToHighRung = 2100;
    public final static int dropToHighRung = 1675;

    public final static int liftToHighRungAttach = 1050;


    public final static int liftToHighBucketPos = 4500;
    public final static double liftPower = 1;
}